<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>DrawGrid (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawGrid (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawGrid.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/DrawModel.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawGrid.html" target="_top">Frames</a></li>
<li><a href="DrawGrid.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">jdraw.framework</div>
<h2 title="Interface DrawGrid" class="title">Interface DrawGrid</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">DrawGrid</span></pre>
<div class="block">A DrawGrid is used to restrict the coordinates used when the mouse is
 clicked. The methods defined in this interface are used by the draw view.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.5</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dominik Gruntz &amp; Christoph Denzler</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawGrid.html#activate--">activate</a></span>()</code>
<div class="block">Activates the grid.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.awt.Point</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawGrid.html#constrainPoint-java.awt.Point-">constrainPoint</a></span>(java.awt.Point&nbsp;p)</code>
<div class="block">Returns constrained coordinates for p, e.g.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawGrid.html#deactivate--">deactivate</a></span>()</code>
<div class="block">Deactivates the grid.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawGrid.html#getStepX-boolean-">getStepX</a></span>(boolean&nbsp;right)</code>
<div class="block">Returns the horizontal step size when the selection is moved with the arrow
 keys.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawGrid.html#getStepY-boolean-">getStepY</a></span>(boolean&nbsp;down)</code>
<div class="block">Returns the vertical step size when the selection is moved with the arrow
 keys.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawGrid.html#mouseDown--">mouseDown</a></span>()</code>
<div class="block">Indicates that a mouse interaction was just started.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/DrawGrid.html#mouseUp--">mouseUp</a></span>()</code>
<div class="block">Indicates that a mouse interaction has been finished.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="constrainPoint-java.awt.Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>constrainPoint</h4>
<pre>java.awt.Point&nbsp;constrainPoint(java.awt.Point&nbsp;p)</pre>
<div class="block">Returns constrained coordinates for p, e.g. rounded to a grid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - mouse coordinates</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>constrained coordinates</dd>
</dl>
</li>
</ul>
<a name="getStepX-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStepX</h4>
<pre>int&nbsp;getStepX(boolean&nbsp;right)</pre>
<div class="block">Returns the horizontal step size when the selection is moved with the arrow
 keys.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>right</code> - true if selection is moved right; false otherwise</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>step size in horizontal direction (positive result)</dd>
</dl>
</li>
</ul>
<a name="getStepY-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStepY</h4>
<pre>int&nbsp;getStepY(boolean&nbsp;down)</pre>
<div class="block">Returns the vertical step size when the selection is moved with the arrow
 keys.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>down</code> - true if selection is moved down; false otherwise</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>step size in vertical direction (positive result)</dd>
</dl>
</li>
</ul>
<a name="activate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activate</h4>
<pre>void&nbsp;activate()</pre>
<div class="block">Activates the grid. This method is called whenever method setGrid is called
 on a draw view.</div>
</li>
</ul>
<a name="deactivate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deactivate</h4>
<pre>void&nbsp;deactivate()</pre>
<div class="block">Deactivates the grid. This method is called whenever another grid is
 installed. Use this method to do some clean-up when the grid is switched.</div>
</li>
</ul>
<a name="mouseDown--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mouseDown</h4>
<pre>void&nbsp;mouseDown()</pre>
<div class="block">Indicates that a mouse interaction was just started. This method might be
 used to setup data used during this mouse interaction.</div>
</li>
</ul>
<a name="mouseUp--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mouseUp</h4>
<pre>void&nbsp;mouseUp()</pre>
<div class="block">Indicates that a mouse interaction has been finished. This method might be
 used to clean-up data created in method mouseDown.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DrawGrid.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/DrawContext.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/DrawModel.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/DrawGrid.html" target="_top">Frames</a></li>
<li><a href="DrawGrid.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
